<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.StoreGroupPackageMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.StoreGroupPackage">
        <id column="id" property="id" />
        <result column="store_id" property="storeId" />
        <result column="group_name" property="groupName" />
        <result column="store_type" property="storeType" />
        <result column="sale_time_str_type" property="saleTimeStrType" />
        <result column="sale_time_str" property="saleTimeStr" />
        <result column="sale_time_end_type" property="saleTimeEndType" />
        <result column="sale_time_end" property="saleTimeEnd" />
        <result column="quantity" property="quantity" />
        <result column="purchase_limit_code" property="purchaseLimitCode" />
        <result column="purchase_limit" property="purchaseLimit" />
        <result column="original_price" property="originalPrice" />
        <result column="discounted_price" property="discountedPrice" />
        <result column="business_types" property="businessTypes" />
        <result column="housing_type" property="housingType" />
        <result column="room_type" property="roomType" />
        <result column="room_type_code" property="roomTypeCode" />
        <result column="kitchen_xq" property="kitchenXq" />
        <result column="bathroom_xq" property="bathroomXq" />
        <result column="living_room" property="livingRoom" />
        <result column="location_of_the_property" property="locationOfTheProperty" />
        <result column="total_area" property="totalArea" />
        <result column="entertainment_facilities_code" property="entertainmentFacilitiesCode" />
        <result column="entertainment_facilities" property="entertainmentFacilities" />
        <result column="convenience_facilities_code" property="convenienceFacilitiesCode" />
        <result column="convenience_facilities" property="convenienceFacilities" />
        <result column="bathroom_facilities_code" property="bathroomFacilitiesCode" />
        <result column="bathroom_facilities" property="bathroomFacilities" />
        <result column="bath_products_code" property="bathProductsCode" />
        <result column="bath_products" property="bathProducts" />
        <result column="service_code" property="serviceCode" />
        <result column="service" property="service" />
        <result column="safety_code" property="safetyCode" />
        <result column="safety" property="safety" />
        <result column="reservation_instructions" property="reservationInstructions" />
        <result column="in_time" property="inTime" />
        <result column="out_time" property="outTime" />
        <result column="deposit_flag" property="depositFlag" />
        <result column="deposit_amount" property="depositAmount" />
        <result column="children_flag" property="childrenFlag" />
        <result column="children_description" property="childrenDescription" />
        <result column="pet_flag" property="petFlag" />
        <result column="extra_bed_flag" property="extraBedFlag" />
        <result column="bed_price" property="bedPrice" />
        <result column="usage_rules" property="usageRules" />
        <result column="invoice_info" property="invoiceInfo" />
        <result column="invoice_instructions" property="invoiceInstructions" />
        <result column="cancellation_policy_type" property="cancellationPolicyType" />
        <result column="cancellation_policy" property="cancellationPolicy" />
        <result column="Cancellation_instructions" property="cancellationInstructions" />
        <result column="insured_price" property="insuredPrice" />
        <result column="lower_price" property="lowerPrice" />
        <result column="compensation_price" property="compensationPrice" />
        <result column="validity_period_type" property="validityPeriodType" />
        <result column="validity_period" property="validityPeriod" />
        <result column="box_type_code" property="boxTypeCode" />
        <result column="box_type" property="boxType" />
        <result column="snacks_code" property="snacksCode" />
        <result column="snacks" property="snacks" />
        <result column="available_duration" property="availableDuration" />
        <result column="write_off_type" property="writeOffType" />
        <result column="write_off" property="writeOff" />
        <result column="refund_rules_type" property="refundRulesType" />
        <result column="refund_rules" property="refundRules" />
        <result column="refund_instructions" property="refundInstructions" />
        <result column="edit_rules_code" property="editRulesCode" />
        <result column="edit_rules" property="editRules" />
        <result column="edit_instructions" property="editInstructions" />
        <result column="tangchi_code" property="tangchiCode" />
        <result column="tangchi" property="tangchi" />
        <result column="sweat_sauna_code" property="sweatSaunaCode" />
        <result column="sweat_sauna" property="sweatSauna" />
        <result column="pictures_and_text" property="picturesAndText" />
        <result column="supplement" property="supplement" />
        <result column="unavailable_date_type" property="unavailableDateType" />
        <result column="unavailable_date" property="unavailableDate" />
        <result column="reservation_rules" property="reservationRules" />
        <result column="applicable_num" property="applicableNum" />
        <result column="other_rules" property="otherRules" />
        <result column="sales_type" property="salesType" />
        <result column="massage_technique_code" property="massageTechniqueCode" />
        <result column="massage_technique" property="massageTechnique" />
        <result column="massage_area_code" property="massageAreaCode" />
        <result column="massage_area" property="massageArea" />
        <result column="massage_tools_code" property="massageToolsCode" />
        <result column="massage_tools" property="massageTools" />
        <result column="compress_tools_code" property="compressToolsCode" />
        <result column="compress_tools" property="compressTools" />
        <result column="class_format_code" property="classFormatCode" />
        <result column="class_format" property="classFormat" />
        <result column="class_duration_code" property="classDurationCode" />
        <result column="class_duration" property="classDuration" />
        <result column="class_num_code" property="classNumCode" />
        <result column="class_num" property="classNum" />
        <result column="applicable_parts_code" property="applicablePartsCode" />
        <result column="applicable_parts" property="applicableParts" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_user_id" property="updatedUserId" />
        <result column="hygiene_code" property="hygieneCode" />
        <result column="hygiene" property="hygiene" />
        <result column="foundation_code" property="foundationCode" />
        <result column="foundation" property="foundation" />
        <result column="bathroom_code" property="bathroomCode" />
        <result column="bathroom" property="bathroom" />
        <result column="kitchen_code" property="kitchenCode" />
        <result column="kitchen" property="kitchen" />
        <result column="validity_period_yh_type" property="validityPeriodYhType" />
        <result column="validity_period_yh" property="validityPeriodYh" />
        <result column="course_validity_period_code" property="courseValidityPeriodCode" />
        <result column="course_validity_period" property="courseValidityPeriod" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, store_id, group_name, store_type, sale_time_str_type, sale_time_str, sale_time_end_type, sale_time_end, quantity, purchase_limit_code, purchase_limit, original_price, discounted_price, business_types, housing_type, room_type, room_type_code, kitchen_xq, bathroom_xq, living_room, location_of_the_property, total_area, entertainment_facilities_code, entertainment_facilities, convenience_facilities_code, convenience_facilities, bathroom_facilities_code, bathroom_facilities, bath_products_code, bath_products, service_code, service, safety_code, safety, reservation_instructions, in_time, out_time, deposit_flag, deposit_amount, children_flag, children_description, pet_flag, extra_bed_flag, bed_price, usage_rules, invoice_info, invoice_instructions, cancellation_policy_type, cancellation_policy, Cancellation_instructions, insured_price, lower_price, compensation_price, validity_period_type, validity_period, box_type_code, box_type, snacks_code, snacks, available_duration, write_off_type, write_off, refund_rules_type, refund_rules, refund_instructions, edit_rules_code, edit_rules, edit_instructions, tangchi_code, tangchi, sweat_sauna_code, sweat_sauna, pictures_and_text, supplement, unavailable_date_type, unavailable_date, reservation_rules, applicable_num, other_rules, sales_type, massage_technique_code, massage_technique, massage_area_code, massage_area, massage_tools_code, massage_tools, compress_tools_code, compress_tools, class_format_code, class_format, class_duration_code, class_duration, class_num_code, class_num, applicable_parts_code, applicable_parts, delete_flag, created_time, updated_time, created_user_id, updated_user_id, hygiene_code, hygiene, foundation_code, foundation, bathroom_code, bathroom, kitchen_code, kitchen, validity_period_yh_type, validity_period_yh, course_validity_period_code, course_validity_period
    </sql>

</mapper>
